## org.eclipse.ocl.ecore
Interface Constraint

All Superinterfaces:
  EModelElement, ENamedElement, EObject, Notifier

All Known Implementing Classes:
  ConstraintImpl

    public interface Constraint

extends ENamedElement

A representation of the model object 'Constraint'.

The following features are supported:

- `Specification`
- `Constrained Elements`
- `Stereotype`

See Also:
  `EcorePackage.getConstraint()`

Method Summary
`EList<ENamedElement>` `getConstrainedElements()` Returns the value of the 'Constrained Elements' reference list.
`ExpressionInOCL<EClassifier,EParameter>` `getSpecification()` Returns the value of the 'Specification' containment reference
`String` `getStereotype()` Returns the value of the 'Stereotype' attribute
`void` `setSpecification(ExpressionInOCL<EClassifier,EParameter> value)` Sets the value of the '`Specification`' containment reference
`void` `setStereotype(String value)` Sets the value of the '`Stereotype`' attribute

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSpecification

    ExpressionInOCL<EClassifier,EParameter> getSpecification()

  Returns the value of the 'Specification' containment reference.

  If the meaning of the 'Specification' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification' containment reference.
  See Also:
    `setSpecification(ExpressionInOCL)`, `EcorePackage.getConstraint_Specification()`

### setSpecification

    void setSpecification(ExpressionInOCL<EClassifier,EParameter> value)

  Sets the value of the '`Specification`' containment reference.

  Parameters:
    `value` - the new value of the 'Specification' containment reference.
  See Also:
    `getSpecification()`

### getConstrainedElements

    EList<ENamedElement> getConstrainedElements()

  Returns the value of the 'Constrained Elements' reference list. The list contents are of type `ENamedElement`.

  If the meaning of the 'Constrained Elements' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constrained Elements' reference list.
  See Also:
    `EcorePackage.getConstraint_ConstrainedElements()`

### getStereotype

    String getStereotype()

  Returns the value of the 'Stereotype' attribute.

  If the meaning of the 'Stereotype' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Stereotype' attribute.
  See Also:
    `setStereotype(String)`, `EcorePackage.getConstraint_Stereotype()`

### setStereotype

    void setStereotype(String value)

  Sets the value of the '`Stereotype`' attribute.

  Parameters:
    `value` - the new value of the 'Stereotype' attribute.
  See Also:
    `getStereotype()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.